import request from '@/utils/request'

// 初始化角色
export function initRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_项目角色_查询数据'
    }
  })
}
// 查询人员角色
export function searchPersonnelRole(check1, staffName, check2, num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据',
      param: `姓名_check=${check1}&姓名=${staffName}&角色编号_check=${check2}&角色编号=${num}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 初始化人员信息 弹出框
export function getTree() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_人员维护_部门关系_查询节点',
      param: '子节点=0=int'
    }
  })
}
// 递归
export function fn(data, pid) {
  const result = []
  let temp
  for (let i = 0; i < data.length; i++) {
    if (data[i].parentNode === pid) {
      const obj = { label: data[i].NodeName, id: data[i].subNode }
      temp = fn(data, data[i].subNode)
      if (temp.length > 0) {
        obj.children = temp
      }
      result.push(obj)
    }
  }
  return result
}
// 根据部门查人员
export function searchPerson(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 1,
      name: '奖金绩效系统_人员维护_人员查询_根据部门编号',
      param: `部门编号=${code}`
    }
  })
}
// 新增人员角色
export function addPersonnelRole(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单模块系统_人员角色_增加数据',
      param: `人员编号=${params[0]}&角色编号=${params[1]}`
    }
  })
}
// 删除人员角色
export function deletePersonnelRole(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单模块系统_人员角色_删除数据',
      param: `人员角色流水号=${code}`
    }
  })
}
// 编辑人员角色
export function editPersonnelRole(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单模块系统_人员角色_修改数据',
      param: `人员角色流水号=${params[0]}&角色编号=${params[1]}`
    }
  })
}
export function searchpeople() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_人员角色_人员查询_NEW',
      param: 'account=' + arguments[0]
    }
  })
}
